public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/ordered-set/
Date: Sun,  9 Feb 2020 12:46:25 +0000 (UTC)	[thread overview]
Message-ID: <1581252229.c5cb7e21825e9593b0bfa334cd6ce4273cc4a2e5.heroxbd@gentoo> (raw)

commit:     c5cb7e21825e9593b0bfa334cd6ce4273cc4a2e5
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Jan 19 20:00:28 2020 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Sun Feb  9 12:43:49 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5cb7e21

dev-python/ordered-set: A MutableSet that remembers its order

  so that every entry has an index

Bug: https://github.com/gentoo/gentoo/pull/14344
Bug: https://bugs.gentoo.org/705872

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 dev-python/ordered-set/Manifest                 |  1 +
 dev-python/ordered-set/metadata.xml             |  9 +++++++++
 dev-python/ordered-set/ordered-set-3.1.1.ebuild | 22 ++++++++++++++++++++++
 3 files changed, 32 insertions(+)

diff --git a/dev-python/ordered-set/Manifest b/dev-python/ordered-set/Manifest
new file mode 100644
index 00000000000..1efe57b1cd0
--- /dev/null
+++ b/dev-python/ordered-set/Manifest
@@ -0,0 +1 @@
+DIST ordered-set-3.1.1.tar.gz 10520 BLAKE2B 885c24d5cb1db95d0056c9216bde16bc41b27e6489d8169ec2c60f93bf9fdf5e112b6183c4adc0d3a34209442db725d0afab3e53ac21420b223c9f4ddf2a9e49 SHA512 9a0d6c2fe1e678ebc5e4bb8229f2a97cfd0b579624f1f5e7153a9fe41937069a845271e431d626dff799136c3c90d8ecd7a7094de8b6f638c581ebe9c4e71ec6

diff --git a/dev-python/ordered-set/metadata.xml b/dev-python/ordered-set/metadata.xml
new file mode 100644
index 00000000000..ca93985fb0d
--- /dev/null
+++ b/dev-python/ordered-set/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+	<maintainer type="project">
+		<email>sci@gentoo.org</email>
+		<name>Gentoo Science Project</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/dev-python/ordered-set/ordered-set-3.1.1.ebuild b/dev-python/ordered-set/ordered-set-3.1.1.ebuild
new file mode 100644
index 00000000000..a92064a2706
--- /dev/null
+++ b/dev-python/ordered-set/ordered-set-3.1.1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A mutable set that remembers the order of its entries"
+HOMEPAGE="https://github.com/LuminosoInsight/ordered-set"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests pytest
+
+python_test() {
+	pytest -vv test.py || die "Tests fail with ${EPYTHON}"
+}


             reply	other threads:[~2020-02-09 12:46 UTC|newest]

Thread overview: 40+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-02-09 12:46 Benda XU [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-06-14  7:14 [gentoo-commits] repo/gentoo:master commit in: dev-python/ordered-set/ Michał Górny
2020-06-14  7:14 Michał Górny
2020-07-28 20:23 Michał Górny
2020-09-03 14:29 Thomas Deutschmann
2020-09-20 20:21 Agostino Sarubbo
2020-10-07  8:41 Joonas Niilola
2020-10-07  8:41 Joonas Niilola
2020-11-10  8:12 Joonas Niilola
2020-11-10  8:12 Joonas Niilola
2020-12-26 21:35 Andreas Sturmlechner
2021-05-06 11:38 Michał Górny
2022-01-25 11:52 Michał Górny
2022-01-25 11:52 Michał Górny
2022-01-25 11:52 Michał Górny
2022-01-26  4:33 Yixun Lan
2022-01-26 10:51 Michał Górny
2022-01-26 15:50 Michał Górny
2022-01-26 19:27 Arthur Zamarin
2022-01-26 19:28 Arthur Zamarin
2022-01-26 19:30 Arthur Zamarin
2022-01-26 21:01 James Le Cuirot
2022-01-27 19:12 Arthur Zamarin
2022-01-27 19:12 Arthur Zamarin
2022-01-27 19:12 Arthur Zamarin
2022-01-27 19:37 Arthur Zamarin
2022-01-28  2:35 Sam James
2022-01-29  0:39 Joshua Kinard
2022-02-13  5:40 Matt Turner
2022-02-27 12:23 Jakov Smolić
2022-02-27 12:29 Jakov Smolić
2022-02-27 18:58 Michał Górny
2022-03-15 18:49 Jakov Smolić
2022-03-17  7:42 Agostino Sarubbo
2022-03-17  7:45 Agostino Sarubbo
2022-03-18 10:05 Arthur Zamarin
2022-03-18 10:06 Arthur Zamarin
2022-03-19 16:00 Arthur Zamarin
2022-03-27  9:50 Fabian Groffen
2025-02-27 21:01 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1581252229.c5cb7e21825e9593b0bfa334cd6ce4273cc4a2e5.heroxbd@gentoo \
    --to=heroxbd@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox